package com.xunhong.erp.turbo.api.infra.dto.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;


/**
 * 分类
 */
@Getter
@RequiredArgsConstructor
public enum CategoryTypeEnum {
	/**
	 * 图片分类
	 */
	FILE_IMAGE(1),

	/**
	 * 视频分类
	 */
	FILE_VIDEO(2),

	/**
	 * 商品分类
	 */
	PRODUCT(3),

	/**
	 * 客户分类
	 */
	CUSTOMER_INTENTION(4),

	/**
	 * 课程分类
	 */
	COURSE(5),

	/**
	 * 房间分类
	 */
	ROOM(6),

	/**
	 * 话术分类
	 */
	SPEECH(7),
	;

	@EnumValue
	private final int type;
}
